import { EnumTypeComposer, InputTypeComposerFieldConfigMapDefinition, ScalarTypeComposer } from 'graphql-compose';
import { CommonOpts } from '../../utils';
export declare type ElasticDataType = string;
export declare function getStringFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getStringAsFieldConfigMap(opts: CommonOpts<any>, fc: any): string | InputTypeComposerFieldConfigMapDefinition;
export declare function getAnalyzedFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getAnalyzedAsFieldConfigMap(opts: CommonOpts<any>, fc: any): string | InputTypeComposerFieldConfigMapDefinition;
export declare function getKeywordAsFieldConfigMap(opts: CommonOpts<any>, fc: any): string | InputTypeComposerFieldConfigMapDefinition;
export declare function getNumericFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getDateFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getBooleanFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getGeoPointFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getGeoPointAsFieldConfigMap(opts: CommonOpts<any>, fc: any): string | InputTypeComposerFieldConfigMapDefinition;
export declare function getGeoShapeAsFieldConfigMap(opts: CommonOpts<any>, fc: any): string | InputTypeComposerFieldConfigMapDefinition;
export declare function getNestedFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getIpFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getPercolatorFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getTermFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getAllFields(opts: CommonOpts<any>): string | EnumTypeComposer<any> | ScalarTypeComposer<any>;
export declare function getAllAsFieldConfigMap(opts: CommonOpts<any>, fc: any): string | InputTypeComposerFieldConfigMapDefinition;
export declare function getFieldNamesByElasticType(fieldMap: any, types: ElasticDataType[]): string[];
export declare function getFieldNamesType(opts: CommonOpts<any>, types: ElasticDataType[], typePrefix: string, addAll?: boolean): EnumTypeComposer<any> | ScalarTypeComposer | string;
export declare function getFieldConfigMap(opts: any, types: ElasticDataType[], fc: any, addAll?: boolean): InputTypeComposerFieldConfigMapDefinition | string;
//# sourceMappingURL=FieldNames.d.ts.map