"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTypeITC = void 0;
const utils_1 = require("../../../utils");
function getTypeITC(opts) {
    const name = (0, utils_1.getTypeName)('QueryType', opts);
    const description = (0, utils_1.desc)(`
    Filters documents matching the provided document / mapping type.
    [Documentation](https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-type-query.html)
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            value: 'String',
        },
    }));
}
exports.getTypeITC = getTypeITC;
//# sourceMappingURL=Type.js.map