"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFindByIdOutputTC = void 0;
const utils_1 = require("../utils");
function getFindByIdOutputTC(opts) {
    const name = (0, utils_1.getTypeName)('FindByIdOutput', opts);
    const { sourceTC } = opts;
    return opts.getOrCreateOTC(name, () => ({
        name,
        fields: Object.assign({ _id: 'String', _index: 'String', _type: 'String', _version: 'Int' }, sourceTC.getFields()),
    }));
}
exports.getFindByIdOutputTC = getFindByIdOutputTC;
//# sourceMappingURL=FindByIdOutput.js.map