"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUpdateByIdOutputTC = void 0;
const utils_1 = require("../utils");
function getUpdateByIdOutputTC(opts) {
    const name = (0, utils_1.getTypeName)('UpdateByIdOutput', opts);
    const { sourceTC } = opts;
    return opts.getOrCreateOTC(name, () => ({
        name,
        fields: Object.assign({ _id: 'String', _index: 'String', _type: 'String', _version: 'Int', result: 'String' }, sourceTC.getFields()),
    }));
}
exports.getUpdateByIdOutputTC = getUpdateByIdOutputTC;
//# sourceMappingURL=UpdateByIdOutput.js.map