import { ObjectTypeComposer, SchemaComposer } from 'graphql-compose';
import type { ElasticMappingT } from './mappingConverter';
export declare type composeWithElasticOptsT<TContext> = {
    graphqlTypeName: string;
    elasticIndex: string;
    elasticType: string;
    elasticMapping: ElasticMappingT;
    elasticClient: any;
    pluralFields?: string[];
    prefix?: string;
    postfix?: string;
    schemaComposer?: SchemaComposer<TContext>;
};
export declare function composeWithElastic<TContext>(opts: composeWithElasticOptsT<TContext>): ObjectTypeComposer<any, TContext>;
//# sourceMappingURL=composeWithElastic.d.ts.map