"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMatchAllITC = void 0;
const utils_1 = require("../../utils");
function getMatchAllITC(opts) {
    const name = (0, utils_1.getTypeName)('QueryMatchAll', opts);
    const description = (0, utils_1.desc)(`
    The most simple query, which matches all documents,
    giving them all a _score of 1.0.
  `);
    return opts.getOrCreateITC(name, () => ({
        name,
        description,
        fields: {
            boost: {
                type: 'Float',
            },
        },
    }));
}
exports.getMatchAllITC = getMatchAllITC;
//# sourceMappingURL=MatchAll.js.map