"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
function getShardsTC(opts) {
    const name = (0, utils_1.getTypeName)('MetaShards', opts);
    return opts.getOrCreateOTC(name, () => ({
        name,
        fields: {
            total: 'Int',
            successful: 'Int',
            failed: 'Int',
        },
    }));
}
exports.default = getShardsTC;
//# sourceMappingURL=Shards.js.map